## deleteFile

### Syntax:

    deleteFile (thisFilename);

### Purpose:

Deletes the file specified by thisFilename - which should be a string, not a file handle. If you're writing a custom save game mechanism, you may require this functionality... so here it is. The string thisFilename shouldn't contain any of the characters ":", "/" and "\" - a precaution to make it more difficult to write malicious code.

This function supports filename bodging - for details see the bodgeFilenames command.

### Return value:

The command returns TRUE if the deletion was a success, FALSE otherwise.

### See also:

fileExists

getMatchingFiles

loadGame

saveGame

renameFile

SLUDGE and this SLUDGE documentation are copyright Hungry Software and contributors 2000-2012